CondinginAja/urls.py
from django.contrib import admin
from django.urls import path ,include
from django.views.generic import RedirectView
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('course/',include('course.urls')),
    path('', RedirectView.as_view(url='/course/', permanent=True)),
    path('accounts/', include('accounts.urls')),
    path('accounts/',include('django.contrib.auth.urls')),
    path('avatar/', include('avatar.urls')),
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

accounts/urls.py
from django.urls import path

from . import views

app_name='accounts'
urlpatterns = [
    path('signup/', views.SignUp, name='signup'),
]

course/urls.py
from django.urls import path, include
from . import views

app_name = 'course'
urlpatterns = [
    path('',views.index,name='index'),
    path('list',views.CatalogCourse.as_view(),name='catalog_course'),
    path('detail/<int:pk>/',views.CourseList.as_view(),name='course_list'),
    path('learn/<int:pk>/',views.CourseDetails.as_view(),name='course_details'),
    path('profile/',views.Profile.as_view(),name='profile'),
    path('profile/settings/',views.update_profile,name='update_profile'),
    path('accounts/',include('django.contrib.auth.urls')),
]

course/models.py
from django.db import models
from django.urls import reverse
from django.contrib.auth.models import User
from datetime import date
from django.db.models.signals import post_save
from django.dispatch import receiver

class Choach(models.Model):
    full_name = models.CharField(max_length=30)

    def __str__(self):
        return self.full_name

class Language(models.Model):
    name = models.CharField(max_length=20)
    def __str__(self):
        return self.name

class CatalogCourse(models.Model):
    name = models.CharField(max_length=20)
    description = models.TextField(max_length=200)
    course = models.ForeignKey(Language,related_name='course',on_delete=models.SET_NULL,null=True)

    def __str__(self):
        return self.name

    def get_absolute_url(self):
        return reverse('course:course_list', args=[str(self.id)])

class Course(models.Model):
    coach = models.ForeignKey(Choach,related_name='choach',on_delete=models.SET_NULL,null=True)
    title = models.CharField(max_length=40,null=True)
    description = models.TextField(max_length=200,null=True)
    language = models.ForeignKey(CatalogCourse,related_name='language',on_delete=models.SET_NULL,null=True)
    context = models.TextField(max_length=30000,null=True)
    video_url = models.CharField(max_length=1000,null=True)

    def __str__(self):
        return self.title

    def get_absolute_url(self):
        return reverse('course:course_details', args=[str(self.id)])

class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    city = models.CharField(max_length=255)
    about = models.CharField(max_length=255,null=True)
    hobbies = models.CharField(max_length=255,null=True)
    birthdate = models.DateField(null=True, blank=True)

    def __str__(self):  # __unicode__ for Python 2
        return self.user.username

@receiver(post_save, sender=User)
def create_or_update_user_profile(sender, instance, created, **kwargs):
    if created:
        Profile.objects.create(user=instance)
    instance.profile.save()

course/forms.py
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms
from django.core.exceptions import ValidationError
from .models import Profile

class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ('first_name', 'last_name')

class ProfileForm(forms.ModelForm):
    class Meta:
        model = Profile
        fields = ('about', 'hobbies','city', 'birthdate')
        widgets = {'birthdate': forms.DateInput(attrs={'id': 'datepicker'})}

    def clean_avatar(self):
        avatar = self.cleaned_data['avatar']

        try:
            w, h = get_image_dimensions(avatar)

            #validate dimensions
            max_width = max_height = 100
            if w > max_width or h > max_height:
                raise forms.ValidationError(
                    u'Please use an image that is '
                     '%s x %s pixels or smaller.' % (max_width, max_height))

            #validate content type
            main, sub = avatar.content_type.split('/')
            if not (main == 'image' and sub in ['jpeg', 'pjpeg', 'gif', 'png']):
                raise forms.ValidationError(u'Please use a JPEG, '
                    'GIF or PNG image.')

            #validate file size
            if len(avatar) > (20 * 1024):
                raise forms.ValidationError(
                    u'Avatar file size may not exceed 20k.')

        except AttributeError:
            """
            Handles case when we are updating the user profile
            and do not supply a new avatar
            """
            pass

        return avatar

course/views.py
from django.shortcuts import render, redirect
from django.http import request,Http404
from django.views import generic
from django.contrib.auth import authenticate, login
from django.contrib.auth.mixins import LoginRequiredMixin
from django.contrib.auth.decorators import login_required
from django.db import transaction
from .forms import UserForm,ProfileForm
from django.contrib import messages
from django.contrib.auth.models import User

from .models import Choach, Course, CatalogCourse, Profile

def index(request):
    return render(request,'course/index.html')

class CatalogCourse(generic.ListView):
    model = CatalogCourse
    context_object_name = 'course_list'

    def get_query(self):
        return CatalogCourse.objects.all()

    template_name= 'course/catalog_course.html'

class CourseList(generic.ListView):
    model = Course

    def get_context_data(self, **kwargs):
        b = self.kwargs.get('pk')
        context = super(CourseList,self).get_context_data(**kwargs)
        context['course_list'] = Course.objects.filter(language=b).all()
        return context

    template_name= 'course/course_list.html'

class CourseDetails(LoginRequiredMixin,generic.ListView):
    model = Course
    def get_context_data(self, **kwargs):
        b = self.kwargs.get('pk')
        context = super(CourseDetails,self).get_context_data(**kwargs)
        context['course_list'] = Course.objects.filter(id=b).all()
        return context

    template_name= 'course/course_detail.html'

def login_user(request, template_name='registration/login.html',
           redirect_field_name = None,
           extra_context=None):
    return auth.views.login(request, template_name, redirect_field_name,
                            authentication_form)

class Profile(LoginRequiredMixin,generic.ListView):
    model = User
    template_name = 'course/profile_detail.html'

    def get_queryset(self):
        return User.objects.filter(username=self.request.user)


@login_required
@transaction.atomic
def update_profile(request):
    if request.method == 'POST':
        user_form = UserForm(request.POST, instance=request.user)
        profile_form = ProfileForm(request.POST, instance=request.user.profile)
        if user_form.is_valid() and profile_form.is_valid():
            user_form.save()
            profile_form.save()
            messages.success(request, ('Your profile was successfully updated!'))
            return redirect('course:profile')
        else:
            messages.error(request, ('Please correct the error below.'))
    else:
        user_form = UserForm(instance=request.user)
        profile_form = ProfileForm(instance=request.user.profile)
    return render(request, 'course/profile.html', {
        'user_form': user_form,
        'profile_form': profile_form
    })

course/templates/course/base_index.html
<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">

    <title>Ethizo CodeZone</title>
    {% load static %}
    <link href="{% static "course/vendor/bootstrap/css/bootstrap.min.css" %}" rel="stylesheet">
    <link rel="stylesheet" href="{% static "course/vendor/font-awesome/css/font-awesome.min.css" %}">
    <link rel="stylesheet" href="{% static "course/vendor/simple-line-icons/css/simple-line-icons.css" %}">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Catamaran:100,200,300,400,500,600,700,800,900" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.rawgit.com/konpa/devicon/df6431e323547add1b4cf45992913f15286456d3/devicon.min.css">
    <link href="https://fonts.googleapis.com/css?family=Muli" rel="stylesheet">
    <link href="{% static "course/css/new-age.css" %}" rel="stylesheet">

    <style>
    div.box{
      background-color:white;
      padding: 20px 10px;
      border-radius: 10px;
    }
    </style>

  </head>

  <body id="page-top">

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand js-scroll-trigger" href="{% url 'course:index' %}">Ethizo Code Zone</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="#download">Course</a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="{% url 'course:catalog_course' %}">Learn</a>
            </li>


            {% if user.is_authenticated %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {{ user.get_username|title }}
              </a>
              <div class="dropdown-menu container" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="{% url 'course:profile' %}">Profile</a>
                <a class="dropdown-item" href="{% url 'course:update_profile' %}">Settings</a>
                <a class="dropdown-item" href="{% url 'course:logout' %}?next={{request.path}}">Logout</a>
              </div>
            </li>
            {% else %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'course:login' %}?next={% url 'course:catalog_course' %}">Login</a>
            </li>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="#cta">Join Us!</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </div>
    </nav>
{% block content1 %}
{% endblock %}
    <footer>
      <div class="container">
        <p>&copy; Your Website 2018. All Rights Reserved.</p>
        <ul class="list-inline">
          <li class="list-inline-item">
            <a href="#">Privacy</a>
          </li>
          <li class="list-inline-item">
            <a href="#">Terms</a>
          </li>
          <li class="list-inline-item">
            <a href="#">FAQ</a>
          </li>
        </ul>
      </div>
    </footer>

    <script src="{% static "course/vendor/jquery/jquery.min.js" %}"></script>
    <script src="{% static "course/vendor/bootstrap/js/bootstrap.bundle.min.js" %}"></script>

    <!-- Plugin JavaScript -->
    <script src="{% static "course/vendor/jquery-easing/jquery.easing.min.js" %}"></script>

    <!-- Custom scripts for this template -->
    <script src="{% static "course/js/new-age.min.js" %}"></script>

  </body>

</html>

course/templates/course/base_template.html
<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">

    <title>sss</title>
    {% load static %}
    <link href="{% static "course/vendor/bootstrap/css/bootstrap.min.css" %}" rel="stylesheet">
    <link rel="stylesheet" href="{% static "course/vendor/font-awesome/css/font-awesome.min.css" %}">
    <link rel="stylesheet" href="{% static "course/vendor/simple-line-icons/css/simple-line-icons.css" %}">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Catamaran:100,200,300,400,500,600,700,800,900" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.rawgit.com/konpa/devicon/df6431e323547add1b4cf45992913f15286456d3/devicon.min.css">
    <link href="https://fonts.googleapis.com/css?family=Muli" rel="stylesheet">
    <link href="{% static "course/css/new-age.css" %}" rel="stylesheet">

    <style>
    div.box{
      background-color:white;
      padding: 20px 10px;
      border-radius: 10px;
    }
    </style>

  </head>

  <body id="page-top">

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand js-scroll-trigger" href="{% url 'course:index' %}">Ethizo Code Zone</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="{% url 'course:index' %}">Home</a>
            </li>

            {% if user.is_authenticated %}
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {{ user.get_username|title }}
              </a>
              <div class="dropdown-menu container" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="{% url 'course:profile' %}">Profile</a>
                <a class="dropdown-item" href="{% url 'course:update_profile' %}">Settings</a>
                <a class="dropdown-item" href="{% url 'course:logout' %}?next={{request.path}}">Logout</a>
              </div>
            </li>
            {% else %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'course:login' %}?next={% url 'course:catalog_course' %}">Login</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'accounts:signup' %}?next={{request.path}}">Signup</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </div>
    </nav>
{% block content1 %}
{% endblock %}
    <footer>
      <div class="container">
        <p>&copy; Your Website 2018. All Rights Reserved.</p>
        <ul class="list-inline">
          <li class="list-inline-item">
            <a href="#">Privacy</a>
          </li>
          <li class="list-inline-item">
            <a href="#">Terms</a>
          </li>
          <li class="list-inline-item">
            <a href="#">FAQ</a>
          </li>
        </ul>
      </div>
    </footer>

    <script src="{% static "course/vendor/jquery/jquery.min.js" %}"></script>
    <script src="{% static "course/vendor/bootstrap/js/bootstrap.bundle.min.js" %}"></script>

    <!-- Plugin JavaScript -->
    <script src="{% static "course/vendor/jquery-easing/jquery.easing.min.js" %}"></script>

    <!-- Custom scripts for this template -->
    <script src="{% static "course/js/new-age.min.js" %}"></script>

  </body>

</html>

course/templates/course/catalog_course.html
{% extends 'course/base_template.html' %}

{% block title %}
<h1>List Course</h1><br><br><br><br>
{% endblock %}

{% block content1 %}


<section class="features" style="background:linear-gradient(141deg, #0fb8ad 0%, #1fc8db 51%, #2cb5e8 75%);">
  <div class="container">
    <div class="section-heading text-center">
      <h2>Unlimited Learn, Unlimited Fun</h2>
      <p class="">Check out what we provide.</p>

      <div class="col-lg-12">
        <div class="container-fluid">
          <div class="row">
          {% if course_list %}
            {% for course in course_list %}

              <div class="col-lg-4">
                <div class="feature-item">
                  {% if course.name == 'CSS 3' %}
                  <i class="devicon-css3-plain-wordmark colored"></i>
                  {% endif %}
                  {% if course.name == 'Python' %}
                  <i class="devicon-python-plain-wordmark colored"></i>
                  {% endif %}
                  {% if course.name == 'PHP' %}
                  <i class="devicon-php-plain colored"></i>
                  {% endif %}
                  {% if course.name == 'HTML 5' %}
                  <i class="devicon-html5-plain-wordmark colored"></i>
                  {% endif %}
                  {% if course.name == 'JavaScript' %}
                  <i class="devicon-javascript-plain colored"></i>
                  {% endif %}
                  {% if course.name == 'jQuery' %}
                  <i class="devicon-jquery-plain-wordmark colored"></i>
                  {% endif %}
                  <a href="{{ course.get_absolute_url }}" class="btn btn-outline btn-xl js-scroll-trigger">{{ course }}</a><br><br>
                  <p class="">{{ course.description }}</p>
                </div>
                </div>

              {% endfor %}
            {% endif %}
        </div>
      </div>

  </div>
</section>



{% endblock %}

course/templates/course/course_detail.html
{% extends 'course/base_template.html' %}

{% block title %}
{% if course_list %}
{% for x in course_list %}
<h1>{{x.title}}</h1><br><br>
{% endfor %}
{% endif %}
{% endblock %}

{% block content1 %}
<div class="col-lg-12">
  <div class="container-fluid">
    <div class="row">
{% if course_list %}
  {% for x in course_list %}
  <div class="col-lg-4">
    <div class="feature-item">
      <p class="text-muted">{{ x.description }}</p>

    </div>
  </div>
  <div class="embed-responsive embed-responsive-16by9">
    <iframe class="embed-responsive-item" src="{{ x.video_url }}" allowfullscreen></iframe>
  </div>


  {% endfor %}
{% endif %}
</div>
</div>
</div>
{% endblock %}

course/templates/course/course_list.html
{% extends 'course/base_template.html' %}

{% block title %}
{% if course_list %}
{% for x in course_list %}
<h1>{{x.language}}</h1>
{% endfor %}
{% endif %}
{% endblock %}

{% block content1 %}
<div class="col-lg-12">
  <div class="container-fluid">
    <div class="row">
{% if course_list %}
  {% for x in course_list %}
  <div class="col-lg-4">
    <div class="feature-item">
      <a href="{% url 'course:course_details' x.id %}" class="btn">{{ x.title }}</a><br><br>
      <p class="text-muted">{{ x.description }}</p>

    </div>
  </div>


  {% endfor %}
{% endif %}
</div>
</div>
</div>
{% endblock %}

course/templates/course/index.html
{% extends 'course/base_index.html' %}
{% block content1 %}
    <header class="masthead" style="background:linear-gradient(141deg, #0fb8ad 0%, #1fc8db 51%, #2cb5e8 75%);">
      <div class="container h-100">
        <div class="row h-100">
          <div class="col-lg-7 my-auto">
            <div class="header-content mx-auto">
              <h1 class="mb-5">Bingung mau belajar coding dimana? Bingung gonta-ganti website cuma buat belajar coding?</h1>
              <a href="#download" class="btn btn-outline btn-xl js-scroll-trigger">Start Now for Free!</a>
            </div>
          </div>
          <div class="col-lg-5 my-auto">
            <div class="">

                <div class="device">
                  <div class="screen">
                    <!-- Demo image for screen mockup, you can put an image here, some HTML, an animation, video, or anything else! -->
                    {% load static %}
                    <img src="{% static "course/img/coding.jpg" %}" class="img-fluid" alt="">
                  </div>
                  <div class="button">
                    <!-- You can hook the "home button" to some JavaScript events or just remove it -->
                  </div>

              </div>
            </div>
          </div>
        </div>
      </div>
    </header>

    <section class="download bg-primary text-center" id="download">
      <div class="container">
        <div class="row">
          <div class="col-md-8 mx-auto">
            <h2 class="section-heading">Discover what the best language for you!</h2><br>
          </div>
        </div>
      </div>
    </section>



    <section class="cta" id="cta">
      <div class="cta-content">
        <div class="container">
          <h2>Stop waiting.<br>Start building.</h2>
          <a href="#contact" class="btn btn-outline btn-xl js-scroll-trigger">Let's Get Started!</a>
        </div>
      </div>
      <div class="overlay"></div>
    </section>

    <section class="contact bg-primary" id="contact">
      <div class="container">
        <span>
        <h2>We<i class="fa fa-heart"></i>new programmers!</h2><p>Tujuan kami disini adalah untuk membantu kalian semua yang baru ingin belajar atau yang sudah mengerti namun kurang paham dengan bahasa pemrograman, dan bingung karna ada berjuta-juta artikel di internet, di sini adalah tempat yang pas untuk memulai belajar!</p>

      </span>
          <div class="">
            <div class="col-lg-14">
              <div class="container-fluid">
                <div class="row">
                  <div class="col-lg-6" style="padding-bottom:15px;">
                    <div class="feature-item box" >
                      <div>
                        <p>Langkah pertama yang harus kalian lakukan adalah segera daftarkan diri anda untuk mengikuti course yang telah kami sediakan.</p>
                        <a href="{% url 'accounts:signup' %}?next={{request.path}}" class="btn btn-outline-info btn-xl">Sign up now</a>
                      </div>
                    </div>
                  </div>
                    <div class="col-lg-6" style="padding-bottom:15px;">
                      <div class="feature-item box">
                        <div>
                          <p>Namun jika kamu sudah mendaftarkan diri, kamu bisa langsung login dengan mengklik tombol dibawah ini.</p><br>
                          <a href="{% url 'course:login' %}?next={{request.path}}" class="btn btn-outline-info btn-xl ">Sign in</a>
                        </div>
                      </div>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </section>
{% endblock %}

course/templates/course/profile.html
{% extends 'course/base_template.html' %}
{% load bootstrap4 %}

{% block content1 %}
<div class="container-fluid pt-2 text-center">
<h3>Edit Profile</h3>
</div>
<div class="container py-4">
  <div class="">
    <div class="row">
        <div class="col-md-6">
  {% if form.method == post %}
<form method="post">
  {% csrf_token %}
  {% bootstrap_form user_form layout='horizontal' %}
  {% bootstrap_form profile_form layout='horizontal' %}
  {% endif %}
  {% buttons %}
        <button type="submit" class="btn btn-primary">Submit</button>
    {% endbuttons %}
</form>
</div>
</div>
</div>
</div>
    <script>
        $('#datepicker').datepicker({
            uiLibrary: 'bootstrap4'
        });
    </script>
{% endblock %}

course/templates/course/profile_detail.html
{% extends 'course/base_template.html' %}

{% block content1 %}
<header class="masthead" style="background:linear-gradient(141deg, #0fb8ad 0%, #1fc8db 51%, #2cb5e8 75%);">
<div class="container h-100 pt-5">
    <div class="row my-2">
        <div class="col-lg-8 order-lg-2">
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a href="" data-target="#profile" data-toggle="tab" class="nav-link active">Profile</a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'course:update_profile' %}" class="nav-link">Edit</a>
                </li>
            </ul>
            <div class="tab-content py-4">
                <div class="tab-pane active" id="profile">

                    <div class="row">
                        <div class="col-md-6">
                          <div class="card">
                            <div class="card-body">
                            <h5 class="card-title" style="color:black;">About</h5>
                            <p class="card-text" style="color:black;">
                              {% if user.profile.about == None %}
                                <p class="card-text" style="color:black;">Your profile still not complete, Please click this link for complete your <a href="{% url 'course:update_profile' %}">profile </a></p>
                              {% else %}
                                {{ user.profile.about }}
                              {% endif %}
                            </p>

                            <h5 class="card-title" style="color:black;">Hobbies</h5>
                            <p class="card-text" style="color:black;">
                              {% if user.profile.hobbies == None %}
                                <p class="card-text" style="color:black;">Your profile still not complete, Please click this link for complete your <a href="{% url 'course:update_profile' %}">profile </a></p>
                              {% else %}
                                {{ user.profile.hobbies }}
                              {% endif %}
                            </p>
                            <h5 class="card-title" style="color:black;">Birth Date</h5>
                            <p class="card-text" style="color:black;">
                              {% if user.profile.hobbies == None %}
                                <p class="card-text" style="color:black;">Your profile still not complete, Please click this link for complete your <a href="{% url 'course:update_profile' %}">profile </a></p>
                              {% else %}
                                {{ user.profile.birthdate }}
                              {% endif %}

                            </p>
                            <h5 class="card-title" style="color:black;">Email</h5>
                            <p class="card-text" style="color:black;">
                              {% if user.profile.email == None %}
                                <p class="card-text" style="color:black;">Your profile still not complete, Please click this link for complete your <a href="{% url 'course:update_profile' %}" class="card-link" style="color:blue;">profile </a></p>
                              {% else %}
                                {{ user.email }}
                              {% endif %}
                            </p>
                            <h5 class="card-title" style="color:black;">Member Since</h5>
                            <p class="card-text" style="color:black;">
                                {{ user.date_joined }}
                            </p>
                          </div>
                        </div>
                        </div>
                        <div class="col-md-6">
                          <table class="table table-sm table-hover table-striped">
                            <h5 class="mt-2"><span class="fa fa-clock-o ion-clock float-right"></span> Recent Activity</h5>
                              <tbody>
                                  <tr>
                                      <td>

                                      </td>
                                  </tr>

                              </tbody>
                          </table>
                        </div>
                        <div class="col-md-12">


                        </div>
                    </div>
                    <!--/row-->
                </div>


            </div>
        </div>
        <div class="col-lg-4 order-lg-1 text-center">
            <h5 class="mb-3">{{ user.first_name|title }} {{ user.last_name|title }}</h5>
            {% load avatar_tags %}
            {% avatar user  %}<br>
            <a href="{% url 'avatar_change' %}">Change your avatar</a>
            <label class="custom-file">
                <input type="file" id="file" class="custom-file-input">
                <span class="custom-file-control">Choose file</span>
            </label></em>
        </div>
    </div>
</div>
</div>
</header>
{% endblock %}